{-# LANGUAGE UnicodeSyntax #-}
-- | Client format module

module Format where

import Hach.Types

-- | Format of message in client
format ∷ S2C → String
format (SMessage nick _) = "[%s] <" ++ nick ++ ">: %s\n"
format (SAction  nick _) = "[%s] *" ++ nick ++ " %s\n"
format (SSetNick nick _) = "[%s] "  ++ nick ++ " %s\n"
format (SSystem       _) = "[%s] ! %s\n"

-- | Format of timestamp in client
timeFormat ∷ String
timeFormat = "%H:%M:%S"

-- | Special prefix of CAction message
commandAction ∷ String
commandAction = "/me "

-- | Special prefix of CSetNick message
commandSetNick ∷ String
commandSetNick = "/nick "
